# nohup R CMD BATCH SuperExactTest.R SuperExactTest.Rout > SuperExactTest.output 2>&1 &

load('../../Fibrosis_Gene.RData')

dim(mat)
apply(mat,2,table)

load('../STRING_v11.0_hsa_KEGG_GO_enrich.RData')
dim(enrichment.score)

enrichment.score[1:3,1:3]

dat<- enrichment.score[rownames(enrichment.score) %in% rownames(mat),]
dim(dat)
dat[1:3,1:3]

min(dat)
max(dat)

name<- colnames(dat)

colnames(dat)<- gsub(':','',sapply(colnames(dat),function(x){ strsplit(x,'_')[[1]][1] }))

id<- colnames(dat)

library(SuperExactTest)

sets<- NULL
for(i in 1:ncol(mat)){
sets[[i]]<- intersect(id,rownames(read.csv(paste0('topRanking_Anno/',i,'_',colnames(mat)[i],'_topRanking.csv'),header=T,row.names=1)))
print(length(sets[[i]]))
}

names(sets)<- colnames(mat)

res=supertest(sets, n=length(id))
summary(res)

write.table(summary(res)$Table,file='SuperExactTest.txt',quote=T,sep=',',col.names=NA)

save(sets,res,file='SuperExactTest.RData')

pdf('SuperExactTest_Circular.pdf',width=42,height=42)
plot(res, sort.by="size", Layout="circular")
dev.off()

pdf('SuperExactTest_Landscape.pdf',width=56,height=14)
plot(res, sort.by="size", Layout="landscape", overlap.size.cex=0.5)
dev.off()

q(save='no')


