# R CMD BATCH mcfs.R

load('../../Fibrosis_Gene.RData')

dim(mat)
apply(mat,2,table)

load('../STRING_v11.0_hsa_KEGG_GO_enrich.RData')
dim(enrichment.score)

enrichment.score[1:3,1:3]

dat<- enrichment.score[rownames(enrichment.score) %in% rownames(mat),]
dim(dat)
dat[1:3,1:3]

min(dat)
max(dat)

colnames(dat)<- gsub(':','',sapply(colnames(dat),function(x){ strsplit(x,'_')[[1]][1] }))

tmp<- unlist(dat)
length(tmp)
max(tmp)
max(tmp[is.finite(tmp)])

dat[dat==Inf]<- max(tmp[is.finite(tmp)])
max(dat)

mat<- mat[rownames(dat),]
dim(mat)
apply(mat,2,table)

template.r<- readLines('mcfs.run',-1)
template.r

for(i in 1:ncol(mat)){

r<- template.r
r[7]<- paste("inputFileName = ['Data_",i,".adx']",sep="")
cat(r,file=paste('Data_',i,'.run',sep=''),sep='\n')
}

Range<- 1:ncol(mat)

cat(paste('nohup java -cp dmLab.jar -Xmx20g -Xms20g dmLab.mcfs.MCFS Data_',Range,'.run > Data_',Range,'.output 2>&1 &',sep=''),file='jobs.txt',sep='\n')

for(i in 1:ncol(mat)){

cls<- mat[,i]
table(cls)

output<- paste('Data_',i,'.adx',sep='')

cat(c("attributes
{
class nominal decision(all)",paste(colnames(dat)," numeric",sep=''),'}','events','{'),file=output,sep='\n')

write.table(cbind(cls,dat),file=output,sep=',',row.names=F,quote=F,col.names=F,append=T)

cat('}',file=output,sep='\n',append=T)

}

q(save='no')
