
# R CMD BATCH Fibrosis_Gene.R

path<- '../Fibrosis_Gene/'

files<- dir(path,pattern='[.]')
length(files)
files

library(XLConnect)

GeneList<- NULL

for(i in 1:length(files)){
dat<- readWorksheet(loadWorkbook(paste(path,files[i],sep='')),sheet=1,header=T)
print(dat)
GeneList[[i]]<- toupper(gsub(' ','',dat[,1]))
}

names(GeneList)<- gsub('.xlsx','',files)

GeneList

Gene<- sort(unique(unlist(GeneList)))

mat<- matrix(0,nrow=length(Gene),ncol=length(GeneList),dimnames=list(Gene,names(GeneList)))

for(i in 1:length(GeneList)){
mat[Gene %in% GeneList[[i]],i]<- 1
}

write.table(mat,file='Fibrosis_Gene.txt',quote=F,se='\t',col.names=NA)

freq<- apply(mat,1,sum)
sort(freq[freq>=2])

table(freq)

save(GeneList,mat,file='Fibrosis_Gene.RData')

q(save='no')
