setwd('..')

load('x0.RData')
gene.list<- gene.symbol[1:100]

gene.net<- hsa.net[(hsa.net[,1] %in% gene.list)|(hsa.net[,2] %in% gene.list),]
gene.net<- cbind(as.character(gene.net[,1]),as.character(gene.net[,2]))
gene.net[1:3,]

enrichment.score<- data.frame(matrix(NA,nrow=length(gene.list),ncol=length(set.gene)))
colnames(enrichment.score)<- set.name
rownames(enrichment.score)<- gene.list

for(i in 1:length(gene.list)){
print(i)
selected.gene<- unique(c(gene.list[i],gene.net[gene.net[,1]==gene.list[i],2],gene.net[gene.net[,2]==gene.list[i],1]))
drawn.gene<-intersect(universe.gene,selected.gene)
numDrawn<-length(drawn.gene)

enrichment.score[i,]<- unlist(lapply(1:length(set.name),function(j){
white.gene<-set.gene[[j]]
black.gene<-setdiff(universe.gene,white.gene)
white.drawn.gene<-intersect(white.gene,drawn.gene) 
numW<-length(white.gene)
numB<-length(black.gene)
numWdrawn<-length(white.drawn.gene) 
-log10(phyper(numWdrawn - 1L, numW, numB, numDrawn, lower.tail=FALSE))
}))
}
save(enrichment.score,file='template.RData')

q(save='no')
